Index: /trunk/SophyaPI/PI/Makefile
===================================================================
--- /trunk/SophyaPI/PI/Makefile	(revision 2750)
+++ /trunk/SophyaPI/PI/Makefile	(revision 2751)
@@ -454,88 +500,95 @@
   pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
   pigrcoord.h pilineatt.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pisurfdr.o: pisurfdr.cc \
-  $(SOPHYAINCP)sopnamsp.h pisurfdr.h \
-  parradapter.h $(SOPHYAINCP)machdefs.h \
-  lut.h pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisurfdr.h parradapter.h \
+  $(SOPHYAINCP)machdefs.h lut.h \
+  pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
   pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
   pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h pieldrw.h pigraph3d.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pitherm.o: pitherm.cc \
-  $(SOPHYAINCP)sopnamsp.h pitherm.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitherm.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
   pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
   pigraphps.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pitxtdrw.o: pitxtdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pitxtdrw.h \
-  pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pitxtdrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piwdggen.o: piwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainergen.h pisysdep.h piwdgx.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h psfile.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)piwdgx.o: piwdgx.cc $(SOPHYAINCP)sopnamsp.h \
-  piwdgx.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainerx.h pisysdep.h picontainergen.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainergen.h pisysdep.h piwdgx.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h psfile.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)piwdgx.o: piwdgx.cc \
+  $(SOPHYAINCP)sopnamsp.h piwdgx.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainerx.h pisysdep.h picontainergen.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piwindowgen.o: piwindowgen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h psfile.h pifontgen.h pigraphgen.h picmap.h picmapx.h \
   picmapgen.h pifontx.h pigrcoord.h pilineatt.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piwindowx.o: piwindowx.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowx.h \
-  piwindowgen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h picontainerx.h \
-  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowx.h piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pixtbase.o: pixtbase.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pixtbaseP.h \
-  pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigraphps.h pixtbase.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piyfxdrw.o: piyfxdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piyfxdrw.h \
-  pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h piwdgx.h \
-  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)psfile.o: psfile.cc $(SOPHYAINCP)sopnamsp.h \
-  psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)machdefs.h \
+  piyfxdrw.h pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h \
+  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)psfile.o: psfile.cc \
+  $(SOPHYAINCP)sopnamsp.h psfile.h \
+  $(SOPHYAINCP)machdefs.h \
   pisysdep.h pifontgen.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h picmap.h picmapx.h picmapgen.h pifontx.h pigrcoord.h \
   pilineatt.h
-	$(CXXCOMPILE) -o $@ $<
- 
+	$(CXXCOMPILELIB) -o $@ $<
+ 
